This is a Laravel 5 package that provides treatment management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `treatment/treatment`.

    "treatment/treatment": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Treatment\Treatment\Providers\TreatmentServiceProvider::class,

```

And also add it to alias

```php
'Treatment'  => Treatment\Treatment\Facades\Treatment::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Treatment\Treatment\Providers\TreatmentServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Treatment\Treatment\Providers\TreatmentServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Treatment\Treatment\Providers\TreatmentServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Treatment\Treatment\Providers\TreatmentServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Treatment\Treatment\Providers\TreatmentServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Treatment\Treatment\Providers\TreatmentServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


